Accounts APITrusted accounts
List of trusted accounts
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Number of items to return per page (max 100).
Range
1 <= value <= 100Default
25page?integer
Page index for pagination.
Range
1 <= valueDefault
1active?boolean
Find only active/inactive trusted accounts.
accountHolderEntityIds?array<>
Find trusted accounts for specific account holder entity
Items
1 <= itemsgroups?array<>
Find trusted accounts for specific group
Items
0 <= itemsHeader Parameters
X-Volt-Api-Version*1
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/trusted-accounts" \ -H "X-Volt-Api-Version: 1"[ { "id": "3400e469-5892-4f51-8e5f-6f2ad7b6f345", "accountHolder": { "entityId": "40bb9716-fb00-484e-b4a2-eb3a220b3906", "legalName": "string", "address": { "addressLine1": "string", "addressLine2": "string", "city": "string", "postalCode": "string", "country": "DE" }, "ultimateBeneficialOwners": [ { "firstName": "string", "lastName": "string" } ] }, "accountName": "my_gbp_trusted_account", "customerId": "40bb9716-fb00-484e-b4a2-eb3a220b3906", "identifications": [ { "iban": "PL61109010140000071219812874", "swiftBic": "WBKPPLPP" } ], "currencyCode": "EUR", "country": "DE", "active": true }]{ "code": "BAD_REQUEST", "message": "string"}{ "code": "UNAUTHORISED", "message": "string"}{ "code": "ACCESS_DENIED", "message": "string"}{ "code": "RESOURCE_NOT_FOUND", "message": "string"}{ "code": "INTERNAL_SERVER_ERROR", "message": "string"}